<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>PaneRecord (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="PaneRecord (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/PaneRecord.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hssf/record/PaletteRecord.html"
               title="class in org.apache.poi.hssf.record"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hssf/record/PasswordRecord.html"
               title="class in org.apache.poi.hssf.record"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/record/PaneRecord.html" target="_top">Frames</a></li>
        <li><a href="PaneRecord.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hssf.record</div>
    <h2 title="Class PaneRecord" class="title">Class PaneRecord</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/hssf/record/RecordBase.html"
                       title="class in org.apache.poi.hssf.record">org.apache.poi.hssf.record.RecordBase</a></li>
                <li>
                    <ul class="inheritance">
                        <li><a href="../../../../../org/apache/poi/hssf/record/Record.html"
                               title="class in org.apache.poi.hssf.record">org.apache.poi.hssf.record.Record</a></li>
                        <li>
                            <ul class="inheritance">
                                <li><a href="../../../../../org/apache/poi/hssf/record/StandardRecord.html"
                                       title="class in org.apache.poi.hssf.record">org.apache.poi.hssf.record.StandardRecord</a>
                                </li>
                                <li>
                                    <ul class="inheritance">
                                        <li>org.apache.poi.hssf.record.PaneRecord</li>
                                    </ul>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre>public final class <span class="typeNameLabel">PaneRecord</span>
extends <a href="../../../../../org/apache/poi/hssf/record/StandardRecord.html"
           title="class in org.apache.poi.hssf.record">StandardRecord</a></pre>
                <div class="block">Describes the frozen and unfrozen panes.</div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/PaneRecord.html#ACTIVE_PANE_LOWER_LEFT">ACTIVE_PANE_LOWER_LEFT</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/PaneRecord.html#ACTIVE_PANE_LOWER_RIGHT">ACTIVE_PANE_LOWER_RIGHT</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/PaneRecord.html#ACTIVE_PANE_UPPER_LEFT">ACTIVE_PANE_UPPER_LEFT</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/PaneRecord.html#ACTIVE_PANE_UPPER_RIGHT">ACTIVE_PANE_UPPER_RIGHT</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/PaneRecord.html#sid">sid</a></span></code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/PaneRecord.html#PaneRecord--">PaneRecord</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/PaneRecord.html#PaneRecord-org.apache.poi.hssf.record.RecordInputStream-">PaneRecord</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/record/RecordInputStream.html"
                                        title="class in org.apache.poi.hssf.record">RecordInputStream</a>&nbsp;in)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>java.lang.Object</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/PaneRecord.html#clone--">clone</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/PaneRecord.html#getActivePane--">getActivePane</a></span>()</code>
                                    <div class="block">Get the active pane field for the Pane record.</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>protected int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/PaneRecord.html#getDataSize--">getDataSize</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/PaneRecord.html#getLeftColumn--">getLeftColumn</a></span>()</code>
                                    <div class="block">Get the left column field for the Pane record.</div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/PaneRecord.html#getSid--">getSid</a></span>()</code>
                                    <div class="block">return the non static version of the id for this record.</div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/PaneRecord.html#getTopRow--">getTopRow</a></span>()</code>
                                    <div class="block">Get the top row field for the Pane record.</div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/PaneRecord.html#getX--">getX</a></span>()</code>
                                    <div class="block">Get the x field for the Pane record.</div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/PaneRecord.html#getY--">getY</a></span>()</code>
                                    <div class="block">Get the y field for the Pane record.</div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/PaneRecord.html#serialize-org.apache.poi.util.LittleEndianOutput-">serialize</a></span>(<a
                                        href="../../../../../org/apache/poi/util/LittleEndianOutput.html"
                                        title="interface in org.apache.poi.util">LittleEndianOutput</a>&nbsp;out)</code>
                                    <div class="block">Write the data content of this BIFF record.</div>
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/PaneRecord.html#setActivePane-short-">setActivePane</a></span>(short&nbsp;field_5_activePane)</code>
                                    <div class="block">Set the active pane field for the Pane record.</div>
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/PaneRecord.html#setLeftColumn-short-">setLeftColumn</a></span>(short&nbsp;field_4_leftColumn)</code>
                                    <div class="block">Set the left column field for the Pane record.</div>
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/PaneRecord.html#setTopRow-short-">setTopRow</a></span>(short&nbsp;field_3_topRow)</code>
                                    <div class="block">Set the top row field for the Pane record.</div>
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/PaneRecord.html#setX-short-">setX</a></span>(short&nbsp;field_1_x)</code>
                                    <div class="block">Set the x field for the Pane record.</div>
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/PaneRecord.html#setY-short-">setY</a></span>(short&nbsp;field_2_y)</code>
                                    <div class="block">Set the y field for the Pane record.</div>
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/record/PaneRecord.html#toString--">toString</a></span>()</code>
                                    <div class="block">get a string representation of the record (for
                                        biffview/debugging)
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.hssf.record.StandardRecord">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.hssf.record.<a
                                        href="../../../../../org/apache/poi/hssf/record/StandardRecord.html"
                                        title="class in org.apache.poi.hssf.record">StandardRecord</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/hssf/record/StandardRecord.html#getRecordSize--">getRecordSize</a>,
                                    <a href="../../../../../org/apache/poi/hssf/record/StandardRecord.html#serialize-int-byte:A-">serialize</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.hssf.record.Record">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.hssf.record.<a
                                        href="../../../../../org/apache/poi/hssf/record/Record.html"
                                        title="class in org.apache.poi.hssf.record">Record</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/hssf/record/Record.html#cloneViaReserialise--">cloneViaReserialise</a>,
                                    <a href="../../../../../org/apache/poi/hssf/record/Record.html#serialize--">serialize</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</code>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="sid">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>sid</h4>
                                <pre>public static final&nbsp;short sid</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hssf.record.PaneRecord.sid">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="ACTIVE_PANE_LOWER_RIGHT">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>ACTIVE_PANE_LOWER_RIGHT</h4>
                                <pre>public static final&nbsp;short ACTIVE_PANE_LOWER_RIGHT</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hssf.record.PaneRecord.ACTIVE_PANE_LOWER_RIGHT">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="ACTIVE_PANE_UPPER_RIGHT">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>ACTIVE_PANE_UPPER_RIGHT</h4>
                                <pre>public static final&nbsp;short ACTIVE_PANE_UPPER_RIGHT</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hssf.record.PaneRecord.ACTIVE_PANE_UPPER_RIGHT">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="ACTIVE_PANE_LOWER_LEFT">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>ACTIVE_PANE_LOWER_LEFT</h4>
                                <pre>public static final&nbsp;short ACTIVE_PANE_LOWER_LEFT</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hssf.record.PaneRecord.ACTIVE_PANE_LOWER_LEFT">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="ACTIVE_PANE_UPPER_LEFT">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>ACTIVE_PANE_UPPER_LEFT</h4>
                                <pre>public static final&nbsp;short ACTIVE_PANE_UPPER_LEFT</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hssf.record.PaneRecord.ACTIVE_PANE_UPPER_LEFT">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="PaneRecord--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>PaneRecord</h4>
                                <pre>public&nbsp;PaneRecord()</pre>
                            </li>
                        </ul>
                        <a name="PaneRecord-org.apache.poi.hssf.record.RecordInputStream-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>PaneRecord</h4>
                                <pre>public&nbsp;PaneRecord(<a
                                        href="../../../../../org/apache/poi/hssf/record/RecordInputStream.html"
                                        title="class in org.apache.poi.hssf.record">RecordInputStream</a>&nbsp;in)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="toString--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>toString</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;toString()</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/hssf/record/Record.html#toString--">Record</a></code></span>
                                </div>
                                <div class="block">get a string representation of the record (for biffview/debugging)
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hssf/record/Record.html#toString--">toString</a></code>&nbsp;in
                                        class&nbsp;<code><a href="../../../../../org/apache/poi/hssf/record/Record.html"
                                                            title="class in org.apache.poi.hssf.record">Record</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="serialize-org.apache.poi.util.LittleEndianOutput-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>serialize</h4>
                                <pre>public&nbsp;void&nbsp;serialize(<a
                                        href="../../../../../org/apache/poi/util/LittleEndianOutput.html"
                                        title="interface in org.apache.poi.util">LittleEndianOutput</a>&nbsp;out)</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/hssf/record/StandardRecord.html#serialize-org.apache.poi.util.LittleEndianOutput-">StandardRecord</a></code></span>
                                </div>
                                <div class="block">Write the data content of this BIFF record. The 'ushort sid' and
                                    'ushort size' header fields
                                    have already been written by the superclass.
                                    <p>
                                        The number of bytes written must equal the record size reported by
                                        <a href="../../../../../org/apache/poi/hssf/record/RecordBase.html#getRecordSize--"><code>RecordBase.getRecordSize()</code></a>}
                                        minus four
                                        ( record header consisting of a 'ushort sid' and 'ushort reclength' has already
                                        been written
                                        by their superclass).</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hssf/record/StandardRecord.html#serialize-org.apache.poi.util.LittleEndianOutput-">serialize</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hssf/record/StandardRecord.html"
                                                title="class in org.apache.poi.hssf.record">StandardRecord</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>out</code> - the output object</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getDataSize--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDataSize</h4>
                                <pre>protected&nbsp;int&nbsp;getDataSize()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hssf/record/StandardRecord.html#getDataSize--">getDataSize</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hssf/record/StandardRecord.html"
                                                title="class in org.apache.poi.hssf.record">StandardRecord</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getSid--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSid</h4>
                                <pre>public&nbsp;short&nbsp;getSid()</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/hssf/record/Record.html#getSid--">Record</a></code></span>
                                </div>
                                <div class="block">return the non static version of the id for this record.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a href="../../../../../org/apache/poi/hssf/record/Record.html#getSid--">getSid</a></code>&nbsp;in
                                        class&nbsp;<code><a href="../../../../../org/apache/poi/hssf/record/Record.html"
                                                            title="class in org.apache.poi.hssf.record">Record</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>he id for this record</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="clone--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>clone</h4>
                                <pre>public&nbsp;java.lang.Object&nbsp;clone()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a href="../../../../../org/apache/poi/hssf/record/Record.html#clone--">clone</a></code>&nbsp;in
                                        class&nbsp;<code><a href="../../../../../org/apache/poi/hssf/record/Record.html"
                                                            title="class in org.apache.poi.hssf.record">Record</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getX--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getX</h4>
                                <pre>public&nbsp;short&nbsp;getX()</pre>
                                <div class="block">Get the x field for the Pane record.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the x value</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setX-short-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setX</h4>
                                <pre>public&nbsp;void&nbsp;setX(short&nbsp;field_1_x)</pre>
                                <div class="block">Set the x field for the Pane record.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>field_1_x</code> - the x value</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getY--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getY</h4>
                                <pre>public&nbsp;short&nbsp;getY()</pre>
                                <div class="block">Get the y field for the Pane record.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the y value</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setY-short-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setY</h4>
                                <pre>public&nbsp;void&nbsp;setY(short&nbsp;field_2_y)</pre>
                                <div class="block">Set the y field for the Pane record.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>field_2_y</code> - the y value</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getTopRow--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTopRow</h4>
                                <pre>public&nbsp;short&nbsp;getTopRow()</pre>
                                <div class="block">Get the top row field for the Pane record.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the top row</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setTopRow-short-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setTopRow</h4>
                                <pre>public&nbsp;void&nbsp;setTopRow(short&nbsp;field_3_topRow)</pre>
                                <div class="block">Set the top row field for the Pane record.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>field_3_topRow</code> - the top row</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getLeftColumn--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getLeftColumn</h4>
                                <pre>public&nbsp;short&nbsp;getLeftColumn()</pre>
                                <div class="block">Get the left column field for the Pane record.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the left column</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setLeftColumn-short-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setLeftColumn</h4>
                                <pre>public&nbsp;void&nbsp;setLeftColumn(short&nbsp;field_4_leftColumn)</pre>
                                <div class="block">Set the left column field for the Pane record.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>field_4_leftColumn</code> - the left column</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getActivePane--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getActivePane</h4>
                                <pre>public&nbsp;short&nbsp;getActivePane()</pre>
                                <div class="block">Get the active pane field for the Pane record.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>One of
                                        ACTIVE_PANE_LOWER_RIGHT
                                        ACTIVE_PANE_UPPER_RIGHT
                                        ACTIVE_PANE_LOWER_LEFT
                                        ACTIVE_PANE_UPPER_LEFT
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setActivePane-short-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>setActivePane</h4>
                                <pre>public&nbsp;void&nbsp;setActivePane(short&nbsp;field_5_activePane)</pre>
                                <div class="block">Set the active pane field for the Pane record.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>field_5_activePane</code> - One of
                                        ACTIVE_PANE_LOWER_RIGHT
                                        ACTIVE_PANE_UPPER_RIGHT
                                        ACTIVE_PANE_LOWER_LEFT
                                        ACTIVE_PANE_UPPER_LEFT
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/PaneRecord.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hssf/record/PaletteRecord.html"
               title="class in org.apache.poi.hssf.record"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hssf/record/PasswordRecord.html"
               title="class in org.apache.poi.hssf.record"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/record/PaneRecord.html" target="_top">Frames</a></li>
        <li><a href="PaneRecord.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
